Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization.xml
Class XMLSerializer

    java.lang.Object
      |
      +--org.w3c.tools.resources.serialization.xml.XMLSerializer

public class XMLSerializer
extends java.lang.Object
implements Serializer, JigXML

Field Summary
`protected java.lang.Class` | `parser_class`
`static java.lang.String` | `PARSER_P`

Fields inherited from interface org.w3c.tools.resources.serialization.xml.JigXML
`ARRAY_TAG, ATTRIBUTE_TAG, CHILD_TAG, CHILDREN_TAG, CLASS_ATTR, DESCR_TAG, dtd, FLAG_ATTR, iARRAY_TAG, iATTRIBUTE_TAG, iCHILD_TAG, iCHILDREN_TAG, iCLASS_ATTR, iDESCR_TAG, idtd, iFLAG_ATTR, iIMPLEMENTS_TAG, iINHERIT_TAG, iJXML_TAG, iLENGTH_ATTR, IMPLEMENTS_TAG, iNAME_ATTR, INHERIT_TAG, ins, iNULL, iRESARRAY_TAG, iRESOURCE_TAG, iVALUE_TAG, iversion, JXML_TAG, LENGTH_ATTR, NAME_ATTR, ns, NULL, RESARRAY_TAG, RESOURCE_TAG, VALUE_TAG, version`

Constructor Summary
`XMLSerializer()`

Method Summary
`protected org.xml.sax.Parser` | `getParser()`
`AttributeHolder[]` | `readAttributeHolders(java.io.Reader reader)` Read the attribute holders using the given reader.
`LookupTable[]` | `readAttributes(java.io.Reader reader, java.lang.String[] attributes)` Load only some attributes
`ResourceDescription[]` | `readResourceDescriptions(java.io.Reader reader)` Read the resource descriptions using the given reader.
`Resource[]` | `readResources(java.io.Reader reader)` Read the resources using the given reader.
`void` | `writeResourceDescriptions(Resource[] descr, java.io.Writer writer)` Write the resource descriptions using the given writer.
`void` | `writeResourceDescriptions(ResourceDescription[] descr, java.io.Writer writer)` Write the resource descriptions using the given writer.
`void` | `writeResources(AttributeHolder[] holders, java.io.Writer writer)` Write the resources using the given writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARSER_P

    public static final java.lang.String PARSER_P

### parser_class

    protected java.lang.Class parser_class

Constructor Detail

### XMLSerializer

    public XMLSerializer()

Method Detail

### writeResourceDescriptions

    public void writeResourceDescriptions(ResourceDescription[] descr,
                                          java.io.Writer writer)
                                   throws java.io.IOException,
                                          SerializationException

  Write the resource descriptions using the given writer.
  Specified by:
    writeResourceDescriptions in interface Serializer
  Parameters:
    `descr` - the resource descriptions array
    `writer` - the writer

### writeResourceDescriptions

    public void writeResourceDescriptions(Resource[] descr,
                                          java.io.Writer writer)
                                   throws java.io.IOException,
                                          SerializationException

  Write the resource descriptions using the given writer.
  Specified by:
    writeResourceDescriptions in interface Serializer
  Parameters:
    `descr` - the resource array
    `writer` - the writer

### writeResources

    public void writeResources(AttributeHolder[] holders,
                               java.io.Writer writer)
                        throws java.io.IOException,
                               SerializationException

  Write the resources using the given writer.
  Specified by:
    writeResources in interface Serializer
  Parameters:
    `descr` - the resource array
    `writer` - the writer

### getParser

    protected org.xml.sax.Parser getParser()
                                    throws SerializationException

### readResourceDescriptions

    public ResourceDescription[] readResourceDescriptions(java.io.Reader reader)
                                                   throws java.io.IOException,
                                                          SerializationException

  Read the resource descriptions using the given reader.
  Specified by:
    readResourceDescriptions in interface Serializer
  Parameters:
    `writer` - the reader
  Returns:
    a ResourceDescription array

### readResources

    public Resource[] readResources(java.io.Reader reader)
                             throws java.io.IOException,
                                    SerializationException

  Read the resources using the given reader.
  Specified by:
    readResources in interface Serializer
  Parameters:
    `writer` - the reader
  Returns:
    a Resources array

### readAttributeHolders

    public AttributeHolder[] readAttributeHolders(java.io.Reader reader)
                                           throws java.io.IOException,
                                                  SerializationException

  Read the attribute holders using the given reader.
  Specified by:
    readAttributeHolders in interface Serializer
  Parameters:
    `writer` - the reader
  Returns:
    a Resources array

### readAttributes

    public LookupTable[] readAttributes(java.io.Reader reader,
                                        java.lang.String[] attributes)
                                 throws java.io.IOException,
                                        SerializationException

  Load only some attributes
  Specified by:
    readAttributes in interface Serializer
  Parameters:
    `attributes` - the attribute names array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD